pskc_keyusage2str(3)

NAME
pskc_keyusage2str - API function

SYNOPSIS
#include <pskc.h>

const char * pskc_keyusage2str(pskc_keyusage keyusage);

ARGUMENTS

pskc_keyusage keyusage
    an pskc_keyusage enumeration type

DESCRIPTION
Convert pskc_keyusage to a string. For example, pskc_keyusage2str(PSKC_KEYUSAGE_OTP) will return "OTP". The returned string must not be deallocated.

RETURNS
String corresponding to pskc_keyusage.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.